Bug 1272762 - devassistant fails to create a new Python project
devassistant fails to create a new Python project
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: devassistant (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
: 1275441 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 10:57 EDT by Giulio 'juliuxpigface'
Modified: 2016-12-20 10:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:03:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Devassistant's Debugs Log (1.94 KB, text/plain)
2015-10-18 10:57 EDT, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-10-18 10:57:54 EDT
Created attachment 1084175 [details]
Devassistant's Debugs Log

Description of problem:
I'm not 100% sure that this is a bug, but it seems that devassistant fails the configuration of vim for python.

Version-Release number of selected component (if applicable):
devassistant-0.11.2-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. Boot Fedora 23 and login to a standard Gnome session.
2. Open DevAssistant from the Overview.
3. Create new project -> Python -> Python GTK+3.
4. Insert a "Project name" and enable the option "Configure Vim editor for various programming languages".
5. Click "Run".
6. Let DevAssistant work.

Actual results:
1. devassistant fails with the "Package not found: python${py3}" error (see attached log).

Expected results:
1. devassistant should configure vim.

Additional info:
1. qemu-kvm guest installed from a live of Fedora 23 Workstation (Final TC11 compose)
Comment 1 Adam Williamson 2015-10-27 13:57:01 EDT
The error doesn't actually have anything to do with vim and you hit it if you don't check that box, per my bug #1275441.
Comment 2 Adam Williamson 2015-10-27 13:57:20 EDT
*** Bug 1275441 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2016-11-24 07:50:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:03:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.